/* The Java RTP/I library, Version 0.1 alpha.
 *  
 * This library provides the functionality of RTP/I as it is specified in
 * Internet Draft draft-mauve-rtpi-00.txt. 
 *
 * Copyright (C) 2000 Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Martin Mauve
 *
 * e-mail:
 * mauve@informatik.uni-mannheim.de
 * 
 * paper mail:
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi;

class Message {

    static final int TRANSMIT_STATE                          = 0;
    static final int TRANSMIT_DELTA_STATE                    = 1;
    static final int TRANSMIT_EVENT                          = 2;
    static final int TRANSMIT_STATE_QUERY                    = 3;
    static final int JOIN_GROUP                              = 4;
    static final int LEAVE_GROUP                             = 5;
    static final int ACTIVATE_SUBCOMPONENT                   = 6;
    static final int DEACTIVATE_SUBCOMPONENT                 = 7;
    static final int ADD_SUBCOMPONENT                        = 8;
    static final int REMOVE_SUBCOMPONENT                     = 9;
    static final int RECEIVE_RTPI_ADU                        = 10;
    static final int RTPI_ADU_LOST                           = 11;
    static final int RTPI_COULD_NOT_RECOVER                  = 12;
    static final int CONNECTION_CLOSED                       = 13;
    static final int WAKE_UP                                 = 14;
    static final int RECEIVE_TRANSPORT_PACKET                = 15;
    static final int QUIT                                    = 16;
    static final int SET_RTPI_RECIPIENT                      = 17;
    int opCode;
    Object args;

    Message(int opCode, Object args) {
	this.opCode = opCode;
	this.args   = args;
    }
}



