/* The demo application for the RTP/I lib, version 0.1 alpha.
 *  
 * Copyright (C) 2000 Juergen Vogel, Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Juergen Vogel
 * Martin Mauve
 *
 * e-mail:
 * {vogel,mauve}@informatik.uni-mannheim.de
 * 
 * paper mail:
 *
 * Juergen Vogel
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.demoRtpi;

import java.awt.*;
import java.awt.event.*;
import java.util.Vector;

class ApplicationView extends Frame implements ActionListener {
    private Application appl;
    private Button addComp;
    private Button exit;
    private Panel topLevel;
    private Panel compPanel;

    private Vector components;

    public ApplicationView(Application a, String ipaddr) {
	appl = a;
	setLayout(new BorderLayout());
	topLevel = new Panel();
	topLevel.setLayout(new FlowLayout());
	topLevel.setBackground(Color.lightGray);

	addComp = new Button("Add Comp");
	addComp.addActionListener(this);
	topLevel.add(addComp);

	exit = new Button("Exit");
	exit.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		setVisible(false);
		dispose();
		appl.close();
	    }
	});
	topLevel.add(exit);

	add(topLevel, BorderLayout.NORTH);
	compPanel = new Panel();
	compPanel.setLayout(new GridLayout(0,1));
	compPanel.setBackground(Color.lightGray);
	add(compPanel, BorderLayout.CENTER);

	addWindowListener(new WindowAdapter () {
	    public void windowClosing(WindowEvent e) {
		setVisible(false);
		dispose();
		appl.close();
	    }
	});

	setTitle("Application@" + ipaddr);
	pack();
	setVisible(true);
    }

    public void actionPerformed(ActionEvent e) {
	compPanel.add(appl.createSubcomponent().getView());
	pack();
    }

    void addSubcomponent(Subcomponent c) {
	compPanel.add(c.getView());
	pack();
    }
}
