/* The demo application for the RTP/I lib, version 0.1 alpha.
 *  
 * Copyright (C) 2000 Juergen Vogel, Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Juergen Vogel
 * Martin Mauve
 *
 * e-mail:
 * {vogel,mauve}@informatik.uni-mannheim.de
 * 
 * paper mail:
 *
 * Juergen Vogel
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.demoRtpi;

import java.awt.*;
import java.awt.event.*;

class ComponentView extends Panel implements ActionListener, ItemListener {
    Label idLabel;
    TextField id;
    Checkbox active;
    TextField value;
    Button plus;
    Subcomponent comp;;

    ComponentView(Subcomponent c) {
	comp = c;
	setLayout(new FlowLayout());

	idLabel = new Label("ID");
	id = new TextField("0", 12);
	id.setEditable(false);

	active = new Checkbox("active", comp.getActive());
	active.addItemListener(this);

	value = new TextField("0", 3);
	value.setEditable(false);

	plus = new Button("+");
	plus.addActionListener(this);

	add(idLabel);
	add(id);
	add(active);
	add(value);
	add(plus);
	setVisible(true);
    }

    void update() {
	id.setText(String.valueOf(comp.getID()));
	value.setText(String.valueOf(comp.getState()));
	active.setState(comp.getActive());
    }

    void disablePlusButton() {
	plus.setEnabled(false);
    }

    void enablePlusButton() {
	plus.setEnabled(true);
    }

    public void actionPerformed(ActionEvent e) {
	comp.increment();
	value.setText(String.valueOf(comp.getState()));
    }

    public void itemStateChanged(ItemEvent e) {
	comp.setActive(active.getState());
	plus.setEnabled(active.getState());
    }

}






