/* The Java RTP/I library, Version 0.1 alpha.
 *  
 * This library provides the functionality of RTP/I as it is specified in
 * Internet Draft draft-mauve-rtpi-00.txt. 
 *
 * Copyright (C) 2000 Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Martin Mauve
 *
 * e-mail:
 * mauve@informatik.uni-mannheim.de
 * 
 * paper mail:
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.reliability.unreliableUdpMulticast;

class Message {

    static final int QUIT                        = 0;
    static final int TRANSMIT_RTPI_ADU           = 1; 
    static final int CONNECTION_CLOSED           = 2;
    static final int RECEIVE_TRANSPORT_PACKET    = 3;
    static final int JOIN_GROUP                  = 4;
    static final int LEAVE_GROUP                 = 5;
    static final int REGISTER_RECIPIENT          = 6;
    static final int SET_RATE                    = 7;

    int opCode;
    Object args;

    Message(int opCode, Object args) {
	this.opCode = opCode;
	this.args   = args;
    }
}



