/* The Java RTP/I latejoin service, Version 0.1 alpha.
 *  
 * This library provides the functionality of a generic RTP/I latejoin service.
 *
 * Copyright (C) 2000 Juergen Vogel, Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Juergen Vogel
 * Martin Mauve
 *
 * e-mail:
 * {vogel,mauve}@informatik.uni-mannheim.de
 * 
 * paper mail:
 *
 * Juergen Vogel
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.services.latejoin;

class LateJoinMessage {
    static final int RECEIVE_EVENT                         =  0;
    static final int RECEIVE_STATE                         =  1;
    static final int RECEIVE_DELTA_STATE                   =  2;
    static final int RECEIVE_STATE_QUERY                   =  3;
    static final int ADD_SUBCOMPONENT                      =  5;
    static final int REMOVE_SUBCOMPONENT                   =  6;
    static final int ACTIVATE_SUBCOMPONENT                 =  7;
    static final int DEACTIVATE_SUBCOMPONENT               =  8;
    static final int CHANGE_SOURCE_INFO                    =  9;
    static final int REMOVE_SOURCE                         = 10;
    static final int SET_POLICY                            = 11;
    static final int RECEIVE_CONTROL_PACKET                = 12;
    static final int TIMER_STATE_QUERY                     = 13;
    static final int TIMER_STATE_REPLY                     = 14;
    static final int TIMER_NET_QUERY                       = 15;
    static final int TIMER_SERVER_TIMEOUT                  = 16;
    static final int TIMER_CLIENT_TIMEOUT                  = 17;
    static final int LOCAL_SUBCOMPONENT_ADDED              = 18;
    static final int LOCAL_SUBCOMPONENT_REMOVED            = 19;
    static final int ACKNOWLEDGE_TRANSMIT_STATE            = 20;
    static final int LJ_CHANNEL_TRANSMIT_STATE             = 21;
    static final int REGISTER_SUBCOMPONENT                 = 23;
    static final int UNREGISTER_SUBCOMPONENT               = 24;
    static final int REQUEST_SUBCOMPONENT_STATE            = 25;
    static final int RTPI_ADU_LOST                         = 26;
    static final int RTPI_COULD_NOT_RECOVER                = 27;
    static final int CONNECTION_CLOSED                     = 28;
    static final int QUIT                                  = 29;

    int opCode;
    Object args;

    LateJoinMessage(int opCode, Object args) {
	this.opCode = opCode;
	this.args   = args;
    }
}
