/* The Java RTP/I latejoin service, Version 0.1 alpha.
 *  
 * This library provides the functionality of a generic RTP/I latejoin service.
 *
 * Copyright (C) 2000 Juergen Vogel, Martin Mauve
 * University of Mannheim / Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * Juergen Vogel
 * Martin Mauve
 *
 * e-mail:
 * {vogel,mauve}@informatik.uni-mannheim.de
 * 
 * paper mail:
 *
 * Juergen Vogel
 * Martin Mauve
 * University of Mannheim
 * Lehrstuhl Praktische Informatik IV
 * L15, 16
 * 68131 Mannheim
 * Germany
 */

package rtpi.services.latejoin;

class TimerThread extends Thread {
    private static boolean debug = false;

    public TimerObject timer;
    public long sleepingTime;

    public TimerThread(TimerObject t, long s) {
	timer = t;
	sleepingTime = s;
    }

    public void run() {
	try {
	    if (debug) {
		System.out.print(System.currentTimeMillis() + " TimerThread::run - new TimerThread " +
				 Thread.currentThread().getName() + " ");
		timer.print();
		System.out.println();
	    }

	    sleep(sleepingTime);
	} catch (InterruptedException e) {
	    // new timer with shorter ending time started - reset timerthread
	    //TimerQueue.threadRunning = false;

	    if (debug) {
		System.out.print(System.currentTimeMillis() + " TimerThread::run - " +
				   Thread.currentThread().getName() + " interrupted ");

		timer.print();
		System.out.println();
	    }
	    return;
	}
	TimerQueue.threadRunning = false;
	if (timer.callback!=null) {
	    timer.callback.executeTimer(timer);
	}
	if (debug) {
	    System.out.print(System.currentTimeMillis() + " TimerThread::run - " +
			       Thread.currentThread().getName() + " ran out ");
	    timer.print();
	    System.out.println();
	}

	TimerQueue.setTimerThread();
    }
}
